ACN::SDT::channel_info_block Struct Reference

4.4.9.1 Channel Owner Info Block 4.4.9.2 Channel Member Info Block More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::channel_info_block:
[legend]

## Public Member Functions

size_t | streamSize () const override
| channel_info_block::streamSize More...
void | iStream (PDU::Stream) override
| channel_member_info_block::iStream More...
void | oStream (PDU::Stream) const override
| channel_member_info_block::oStream More...

## Public Attributes

MID | mid
| MID.
UUID::uuid | owner
| channel owner UUID
uint16_t | channel
| channel number
UDP::ipAddress | destination
| destination IP address
UDP::ipAddress | source
| source IP address
uint16_t | reciprocal
| reciprocal channel
uint16_t | sessions
| session count
std::vector< uint32_t > | protocols
| transported protocols

## Detailed Description

4.4.9.1 Channel Owner Info Block 4.4.9.2 Channel Member Info Block

## Member Function Documentation

## iStream()

void ACN::SDT::channel_info_block::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

channel_member_info_block::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## oStream()

void ACN::SDT::channel_info_block::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

channel_member_info_block::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## streamSize()

size_t ACN::SDT::channel_info_block::streamSize | ( |  | ) | const

overridevirtual

channel_info_block::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.cpp